Bug 20117 - Discoverability should mean "for all users"
Discoverability should mean "for all users"
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML Image Description Extension
unspecified
All Windows 3.1
: P2 normal
: LC
Assigned To: Charles McCathieNevile
HTML WG Bugzilla archive list
http://dvcs.w3.org/hg/html-proposals/...
: a11y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-28 11:13 UTC by Charles McCathieNevile
Modified: 2012-12-10 17:05 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charles McCathieNevile 2012-11-28 11:13:51 UTC
The discoverability requirement needs to clarify that all users should be able to discover the longdesc, as per the implementation requirement

"User agents should allow users to discover when images in a page contain a long description." 

which is separated from the requirement to expose the feature to assistive technology. Again, perhaps it would be clearer to explicitly say "all users" in that requirement.
Comment 1 Laura Carlson 2012-11-29 18:56:38 UTC
Hi Chaals,

(In reply to comment #0)
> The discoverability requirement needs to clarify that all users should be
> able to discover the longdesc, as per the implementation requirement
> 
> "User agents should allow users to discover when images in a page contain a
> long description." 
> 
> which is separated from the requirement to expose the feature to assistive
> technology. Again, perhaps it would be clearer to explicitly say "all users"
> in that requirement.

Saying "all users" would be good. As you well know discoverability tools exist for longdesc. 
http://www.d.umn.edu/~lcarlson/research/ld-ua.html

These tools are used by sighted authors and others. On March 11, 2011, professional content producers at the Digital Image and Graphic Resources for Accessible Materials Center (DIAGRAM) addressed longdesc support for other users:

"features developed to help people with specific disabilities also assist other users, and this is true for long image descriptions. Today, for example, Firefox and Opera allow the user to open a context menu over an image and choose to see the long description on the screen, if @longdesc is included with the image. This is an excellent tool for assisting sighted students with learning disabilities who need textual reinforcement when deciphering the contents of a complicated image." [1]

The claim [2] that longdesc isn't exposed to some users is outweighed by the concrete examples of it being exposed in accessible ways and is as ludicrous as suggesting that the <img> element should be removed from HTML5 because its graphic contents cannot be disclosed to users who elect to use Lynx or similar.

The Include longdesc in HTML5 change proposal [3] had specified discoverability text for the rendering section to provide functionality for all who wanted access to the description. 
http://www.d.umn.edu/~lcarlson/research/ld-rendering2.html
Chaals, something like this in the new spec regarding rendering may help.

On May 5, 2012, HTML Co-Chair, Maciej Stachowiak stated, "if a UA can give a better experience i think they should be encouraged to try". [4] As Anne van Kesteren has said, examples in the specification serve as an incentive to vendors: "It's an incentive to get the software fixed." [5]
--

[1] http://lists.w3.org/Archives/Public/public-html/2011Mar/0270.html
[2] http://lists.w3.org/Archives/Public/public-html-a11y/2012Nov/0152.html
[3] http://www.w3.org/html/wg/wiki/ChangeProposals/InstateLongdesc
[4] http://krijnhoetmer.nl/irc-logs/html-wg/20120504#l-2920
[5] https://www.w3.org/Bugs/Public/show_bug.cgi?id=13531#c6
Comment 2 Charles McCathieNevile 2012-12-10 12:45:39 UTC
I split the User agent requirements on making longdesc available for further clarity, and added a *should* statement under the discoverability requirement that directly addresses users being able to discover the long description.
Comment 3 Laura Carlson 2012-12-10 17:05:28 UTC
(In reply to comment #2)
> I split the User agent requirements on making longdesc available for further
> clarity, and added a *should* statement under the discoverability
> requirement that directly addresses users being able to discover the long
> description.


Thank you!